## ![toast ui editor](https://cloud.githubusercontent.com/assets/389021/16107646/9729e556-33d8-11e6-933f-5b09fa3a53bb.png)
<br>
The ToastUI Editor is a two-way editor based on Markdown.
You can choose and use WYSIWYG and Markdown as needed.
And if you are in need, you can switch the editing mode (WYSIWYG ↔ Markdown) while you are writing it fluidly.

## Features
* Input & output with GFM : All documents are exported by "Github Flavored Markdown" format even if it has written in WYSIWYG mode.
* Quick & Easy mode switching : Switch editing mode WYSIWYG and Markdown anytime you need.
* Live preview : Always display current Markdown document's HTML preview.
* Extensible : You can extend features by integrated API & Extension.
* Auto-Scroll : A scroll automatically follows cursor position during editing so that you can see a Markdown preview in real time.
* Text color : You can set the text color using inline html tag.

## DEMO

You can try a demo at [nhnent.github.io/tui.editor](http://nhnent.github.io/tui.editor/)

## Screenshots

### Markdown Mode
![Markdown Mode](https://cloud.githubusercontent.com/assets/389021/16108210/d55d4576-33dc-11e6-943a-66c29ae1ff4d.png)

### Wysiwyg Mode
![WYsiwyg Mode](https://cloud.githubusercontent.com/assets/389021/16108214/d7ac03d0-33dc-11e6-9ab6-06e7734a7fb1.png)

## Documentation
* **Getting Started** : https://github.com/nhnent/tui.editor/wiki/Getting-Started
* **API** : https://nhnent.github.io/tui.editor/api/latest

## Dependency
* codemirror
* squire
* jquery 2.1.3
* tui-code-snippet
* highlightjs
* markdown-it
* toMark

## Test environment
* PC
    * IE10~11
    * Chrome
    * Firefox

## Download/Install
* Bower
   * Latest version: `bower install https://github.com/nhnent/tui.editor.git`
   * Specific version: `bower install https://github.com/nhnent/tui.editor.git#[tagName]`

## License
This software is licensed under the [MIT License](https://github.com/nhnent/tui.editor/blob/master/LICENSE).
